{
    "name": "dexes-drupal/dexes_dmi",
    "description": "The suite of modules required to integrate various Dexes DMI components",
    "type": "drupal-module",
    "license": "MIT",
    "minimum-stability": "stable",
    "prefer-stable": true,
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "php-http/discovery": true
        }
    },
    "authors": [
        {
            "name": "Robert Verkerk",
            "email": "r.verkerk@textinfo.nl",
            "homepage": "https://www.textinfo.nl"
        },
        {
            "name": "Bart van den Broeck",
            "email": "b.vandenbroeck@textinfo.nl",
            "homepage": "https://www.textinfo.nl"
        }
    ],
    "scripts": {
        "post-update-cmd": [
            "vendor/bin/xs-config --type=drupal-package --force=false",
            "vendor/bin/xs-dependencies"
        ]
    },
    "repositories": {
        "packages.drupal.org": {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    },
    "autoload": {
        "psr-4": {
            "Drupal\\dexes_clearing\\": "contrib/dexes_clearing/src",
            "Drupal\\dexes_ishare\\": "contrib/dexes_ishare/src/",
            "Drupal\\dexes_ishare_openid\\": "contrib/dexes_ishare_openid/src/",
            "Drupal\\dexes_pdp\\": "contrib/dexes_pdp/src/",
            "Drupal\\dexes_policies\\": "contrib/dexes_policies/src/",
            "Drupal\\dexes_dmi\\": "src/"
        },
        "files": [
            "contrib/dexes_ishare_openid/dexes_ishare_openid.module"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\dexes_clearing\\": "contrib/dexes_clearing/tests",
            "Tests\\dexes_ishare\\": "contrib/dexes_ishare/tests/",
            "Tests\\dexes_ishare_openid\\": "contrib/dexes_ishare_openid/tests/",
            "Tests\\dexes_pdp\\": "contrib/dexes_pdp/tests/",
            "Tests\\dexes_policies\\": "contrib/dexes_policies/tests/"
        }
    },
    "require": {
        "php": "^8.2",
        "dexes-drupal/catalog_sdk": "^0.4",
        "dexes/clearing-sdk": "^0.6",
        "dexes/control-plane-sdk": "^0.5.0",
        "drupal/openid_connect": "^1.4",
        "firebase/php-jwt": "^v6.8"
    },
    "require-dev": {
        "drupal/core": "^9.0",
        "xpertselect/tools": "^1.0"
    }
}
